/***************************************************/
/* HEADER SECTION */
/***************************************************/

.header {
  background-color: #f7f4f1;
  padding: 1.6rem 3.2rem 3.2rem 3.2rem;
  position: relative;
}

.logo {
  height: 12.8rem;
}

/* Sticky navigation */

.sticky .header {
  position: fixed;
  width: 100%;
  z-index: 3;
  top: 0;
  left: 0;
  background-color: rgba(247, 244, 241, 0.9);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  transform: translateY(-100%);
}

.sticky:is(body) {
  margin-top: 14.77rem;
}

.sticky.scroll-down .header {
  transform: translateY(-100%);
  transition: all 0.4s;
}

.sticky.scroll-up .header {
  box-shadow: 0 0.8rem 1.2rem rgba(0, 0, 0, 0.02);
  transform: translateY(0);
  transition: all 0.4s;
}

/***************************************************/
/* NAVIGATION SECTION */
/***************************************************/

.main-nav-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #efe8e3;
  padding-bottom: 1.6rem;
  margin-bottom: 2.4rem;
}

.search-box {
  flex: 1;
  padding: 0 4.8rem;
  max-width: 80rem;
  position: relative;
}

.search-box input,
.search-box-widget input {
  display: block;
  width: 100%;
  padding: 1.2rem 13.4rem 1.2rem 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  color: inherit;
  border: 1px solid #eee;
  background-color: #fff;
  border-radius: 22px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  transition: all 0.3s;
}

.search-box input::placeholder,
.search-box-widget input::placeholder {
  color: #aaa;
}

.search-box input:focus,
.search-box-widget input:focus {
  outline: none;
  box-shadow: 0 0 0 4px rgba(122, 98, 80, 0.5);
}

.search-box input:focus:valid {
  border-radius: 22px 22px 0 0;
}

.search-button {
  display: block;
  position: absolute;
  top: 1px;
  right: 4.9rem;
  border: none;
  height: calc(100% - 2px);
  width: 12.8rem;
  border-radius: 100px;
  cursor: pointer;
  background-color: #7a6250;
  color: #f7f4f1;
  font-size: 1.8rem;
  font-weight: 600;
  transition: all 0.3s;
}

.search-button:hover {
  background-color: #9e7e67;
}

.search-box-result {
  width: calc(100% - 9.6rem);
  min-height: 6.4rem;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
  position: absolute;
  top: 100%;
  left: 4.8rem;
  background-color: #fff;
  padding: 0.8rem 1.2rem;
  z-index: 3;
  transform: translateY(8px);
  box-shadow: 0 0 0 4px rgba(122, 98, 80, 0.5);
  transition: all 0.3s;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.search-box input:focus:valid ~ .search-box-result {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.search-box-button {
  width: fit-content;
  display: block;
  color: #555;
  font-size: 1.4rem;
  padding-bottom: 2px;
  border-bottom: 1px solid transparent;
}

.search-box-button:hover {
  border-bottom: 1px solid #555;
}

.search-box-result-card {
  display: grid;
  grid-template-columns: auto 1fr;
  box-shadow: 0 0 0 1px rgb(238, 238, 238);
  border-radius: 9px;
  cursor: pointer;
  position: relative;
  transition: all 0.3s;
}

.search-box-result-card:hover {
  box-shadow: 0 0 0 3px rgb(238, 238, 238);
  transform: translateY(-2px);
}

.search-box-result-card img {
  height: 9.6rem;
  border-radius: 6px;
}

.result-text-box {
  padding: 0.8rem 2.4rem;
}

.search-box-result-card .card-heading {
  color: #555;
  font-weight: 500;
}

.search-box-result-card .card-price {
  font-size: 3rem;
  font-weight: 600;
}

.search-box-result-card .card-full-price {
  color: #555;
  font-size: 2rem;
  font-weight: 600;
}

.search-box-result-card .product-tag {
  top: initial;
  bottom: 0;
  transform: translateX(70%);
}

.main-nav-list {
  display: flex;
  align-items: center;
  list-style: none;
  gap: 4.8rem;
}

.shopping-cart {
  position: relative;
}

.shopping-cart-number {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  background-color: #333;
  color: #fff;
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(10%, -25%);
  transition: all 0.3s;
}

.side-nav-list {
  display: flex;
  align-items: center;
  list-style: none;
  justify-content: center;
  gap: 4.8rem;
}

/* Search widget */
.search-box-widget {
  height: calc(100vh - 0.4rem);
  position: fixed;
  top: 0;
  right: 0;
  padding: 6.4rem 3.2rem 12.8rem 3.2rem;
  margin: 0.2rem 0.1rem;
  border-radius: 6px;
  z-index: 999;
  background-color: #fff;
  overflow-y: scroll;
  overscroll-behavior: contain;
  transform: translateX(100%);
  transition: all 0.5s ease-in;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.search-box-widget input {
  padding: 1.2rem 10.4rem 1.2rem 1.2rem;
}

.search-box-widget > div:first-of-type {
  position: relative;
  margin-bottom: 6.4rem;
}

.search-box-widget .search-button {
  right: 0.1rem;
  width: 9.6rem;
  font-size: 1.6rem;
}

.search-box-widget .search-box-button {
  margin-bottom: 3.2rem;
}

.search-box-widget .search-box-result-card {
  margin-bottom: 3.2rem;
}

.search-box-widget .search-box-result-card:last-child {
  margin-bottom: 0;
}

.search-box-widget .search-box-result-card img {
  height: 8rem;
}

.search-box-widget .search-box-result-card .card-heading {
  font-size: 1.4rem;
}

.search-box-widget .search-box-result-card .card-price {
  font-size: 2rem;
}

.search-box-widget .search-box-result-card .card-full-price {
  font-size: 1.6rem;
}

/* Cart widget */
.cart-widget {
  height: calc(100vh - 0.4rem);
  position: fixed;
  top: 0;
  right: 0;
  padding: 6.4rem 3.2rem 12.8rem 3.2rem;
  margin: 0.2rem 0.1rem;
  border-radius: 6px;
  z-index: 999;
  background-color: #fff;
  overflow-y: scroll;
  overscroll-behavior: contain;
  transform: translateX(100%);
  transition: all 0.5s ease-in;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.cart-widget .btn.btn-widget--close {
  display: flex;
}

.cart-heading {
  font-size: 2.4rem;
  font-weight: 600;
  margin-bottom: 9.6rem;
}

.cart-products {
  display: flex;
  flex-direction: column;
  gap: 9.6rem;
  margin-bottom: 9.6rem;
}

.cart-product {
  display: grid;
  grid-template-columns: auto 1fr;
  row-gap: 3.2rem;
}

.cart-product img {
  height: 12.8rem;
  cursor: pointer;
}

.cart-product-text-box {
  display: flex;
  align-items: center;
  gap: 2.4rem;
  padding: 0 1.2rem;
}

.cart-product .card-heading {
  color: #555;
  margin-bottom: 1.6rem;
}

.cart-product .card-details {
  gap: 0.8rem;
  margin-bottom: 0;
}

.btn-cart-trash {
  font-size: 3rem;
  color: #555;
}

.btn-cart-trash:hover {
  color: #c1403e;
}

.cart-quantity-box {
  grid-column: -1 / 1;
  justify-self: end;
  display: flex;
  align-items: center;
}

.btn.btn-quantity {
  background-color: #f7f4f1;
  color: #555;
  padding: 0 1.2rem;
  font-size: 2.4rem;
  border-radius: 3px;
  box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.045);
}

.btn.btn-quantity:hover {
  background-color: #efe8e3;
}

.quantity-field {
  color: #333;
  font-weight: 600;
  padding: 0.4rem 2.4rem;
  font-size: 2rem;
  border-radius: 3px;
  border: 1px solid #eee;
}

.cart-quantity-price {
  color: #333;
  font-size: 3rem;
  font-weight: 600;
  margin-left: 3.2rem;
}

.cart-product-full-price {
  text-decoration: line-through;
}

.cart-product-price {
  font-size: 1.8rem;
  font-weight: 600;
  color: #c1403e;
}

.cart-price {
  font-size: 2.4rem;
  font-weight: 600;
  margin-bottom: 2.4rem;
}

.cart-price span {
  color: #333;
}

.cart-widget--open .cart-widget,
.cart-widget--open:is(body)::after {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.cart-widget--open .cart-widget {
  transform: translateX(0);
}

/* Account Widget */

.account-widget {
  height: calc(100vh - 0.4rem);
  position: fixed;
  top: 0;
  right: 0;
  padding: 6.4rem 3.2rem 12.8rem 3.2rem;
  margin: 0.2rem 0.1rem;
  border-radius: 6px;
  z-index: 999;
  background-color: #fff;
  overflow-y: scroll;
  overflow-x: hidden;
  overscroll-behavior: contain;
  -ms-overflow-style: none;
  scrollbar-width: none;
  transform: translateX(100%);
  transition: all 0.5s ease-in;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.account-widget .btn.btn-widget--close {
  display: flex;
}

.account-widget .sign-in {
  transition: all 0.5s;
}

.account-heading {
  font-size: 2.4rem;
  font-weight: 600;
  margin-bottom: 6.4rem;
}

.username {
  position: relative;
  margin-bottom: 4.8rem;
}

.password {
  position: relative;
  margin-bottom: 2.4rem;
}

.account-widget .register .password {
  margin-bottom: 13.875rem;
}

.form-error {
  font-size: 1.2rem;
  color: #e82f35;
  position: absolute;
  top: 0;
  right: 0;
  transform: translateY(-200%);
}

.account-widget label {
  font-size: 1.8rem;
  display: block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 1.2rem;
  color: #aaa;
  z-index: -1;
  transition: all 0.2s ease-in-out;
}

.account-widget .eye {
  font-size: 2.4rem;
  position: absolute;
  top: 50%;
  right: 1.2rem;
  transform: translateY(-50%);
  cursor: pointer;
}

.account-widget .eye .eye--open,
.account-widget .eye .eye--closed {
  transition: all 0.3s;
}

.account-widget .eye .eye--open {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.open-eye:is(input[name="password"]) ~ .eye .eye--closed {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.open-eye:is(input[name="password"]) ~ .eye .eye--open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.account-widget input {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  color: inherit;
  border: 1px solid #eee;
  border-radius: 6px;
  background-color: transparent;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  transition: all 0.3s;
}

.account-widget .password input {
  padding: 1.2rem 4.2rem 1.2rem 1.2rem;
}

.account-widget input:valid {
  border: 1px solid rgba(122, 98, 80, 0.5);
}

.account-widget input:focus ~ label,
.account-widget input:valid ~ label {
  font-size: 1.6rem;
  top: 0;
  transform: translateY(-72%);
  color: #555;
  font-weight: 600;
  background-color: #fff;
  z-index: 1;
  padding: 0 0.4rem;
}

.account-widget input:focus ~ .eye {
  color: #7a6250;
}

.account-widget input:focus ~ .eye:hover {
  color: #9e7e67;
}

.link-register {
  color: #555;
  font-size: 1.2rem;
  margin-bottom: 9.6rem;
  padding-bottom: 1px;
  border-bottom: 1px solid currentColor;
  transition: all 0.3s;
}

.link-register:hover {
  border-bottom: 1px solid transparent;
}

.account-widget .register {
  position: absolute;
  top: 6.4rem;
  left: 3.2rem;
  transform: translateX(100%);
  transition: all 0.5s;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.btn.btn-sign-back {
  position: absolute;
  font-size: 3rem;
  top: 0;
  left: 0;
  color: #333;
  transform: translate(-60%, -100%);
  opacity: 0;
  transition: all 0.5s;
}

.account-widget form *:focus {
  outline: none;
  box-shadow: 0 0 0 4px rgba(122, 98, 80, 0.5);
}

.nav-register.account-widget .sign-in {
  transform: translateX(-100%);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.nav-register.account-widget .register {
  transform: translateX(0);
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.nav-register.account-widget .register .btn.btn-sign-back {
  opacity: 1;
}

.account-widget--open .account-widget,
.account-widget--open:is(body)::after {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.account-widget--open .account-widget {
  transform: translateX(0);
}

/* Mobile navigation */
.main-nav-list li:has(.nav-link.btn-mobile-search),
.main-nav-list li:has(.nav-link.btn-mobile-nav) {
  display: none;
}

.btn.btn-mobile-nav .nav-icon {
  font-size: 6.2rem;
  margin-bottom: 0;
}

/***************************************************/
/* HERO SECTION */
/***************************************************/

.section-hero {
  background-color: #f7f4f1;
  padding: 4.8rem 0 9.6rem 0;
}
.hero {
  max-width: 100rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  position: relative;
}

.hero-slider {
  display: flex;
  aspect-ratio: 16 / 9;
  border-radius: 6px;
  overflow-x: auto;
  overflow-y: hidden;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  user-select: none;
  touch-action: pan-y pinch-zoom;
}

.hero-slider::-webkit-scrollbar {
  display: none;
}

.slider-item {
  flex: 1 0 100%;
  scroll-snap-align: start;
  position: relative;
  transition: all 0.5s ease-in-out;
}

.slider-item::before,
.slider-item::after {
  content: "";
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: all 0.5s;
}

.slider-item::before {
  background-image: linear-gradient(
    rgba(247, 244, 241, 0.15),
    rgba(247, 244, 241, 0.15)
  );
}

.slider-item::after {
  background-image: linear-gradient(
      to left,
      rgba(247, 244, 241, 1),
      rgba(247, 244, 241, 0) 10%
    ),
    linear-gradient(
      to right,
      rgba(247, 244, 241, 1),
      rgba(247, 244, 241, 0) 10%
    );
  opacity: 0;
  z-index: 1;
}

.hero-img {
  width: 100%;
  height: 100%;
}

.hero-slider:hover .slider-btn,
.hero-slider:hover .slider-item::after {
  opacity: 1;
}

.commercial-btn {
  position: absolute;
  top: 32%;
  right: 50%;
  z-index: 2;
  transform: translateX(45%);
}
.commercial-btn .btn {
  padding: 0.8rem 1.6rem;
  font-size: 2.4rem;
  border-radius: 9px;
  box-shadow: 0 0.8rem 1.6rem rgba(0, 0, 0, 0.25);
  border: 3px solid transparent;
}

.commercial-btn--1 .btn {
  color: #fff;
  background-color: #ea4449;
}
.commercial-btn--1 .btn:hover {
  background-color: #e82f35;
  border: 3px solid #fff;
}
.commercial-btn--2 .btn {
  color: #333;
  background-color: #8aa0b7;
}
.commercial-btn--2 .btn:hover {
  background-color: #96aabe;
  border: 3px solid #8aa0b7;
}
.commercial-btn--1 .btn:hover,
.commercial-btn--2 .btn:hover {
  box-shadow: 0 1.6rem 3.2rem rgba(0, 0, 0, 0.15);
}
/***************************************************/
/* FEATURES SECTION */
/***************************************************/

.section-features {
  padding: 9.6rem 0;
}

.feature-icon {
  display: block;
  font-size: 3.2rem;
  margin-bottom: 2.4rem;
  color: #af8c72;
}
.feature-title {
  font-size: 2.4rem;
  color: #333;
  font-weight: 700;
  margin-bottom: 1.6rem;
}
.feature-text {
  font-size: 1.8rem;
  line-height: 1.8;
}

/***************************************************/
/* PRODUCT SECTION */
/***************************************************/

.section-product {
  padding: 9.6rem 0;
}

.product-categories {
  width: 80%;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  column-gap: 6.4rem;
  row-gap: 6.4rem;
  transition: all 0.4s ease-in;
}

.card-img-box,
.card-heading,
.category-btn {
  cursor: pointer;
}

.category-btn {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: none;
  background: none;
}

.category-item {
  border-radius: 100%;
  overflow: hidden;
  border: 1px solid #eee;
  background-color: #fff;
  margin-bottom: 3.2rem;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.08);
}

.category-item img {
  width: 100%;
  transition: all 0.4s;
}

.category-text {
  padding-bottom: 2px;
  border-bottom: 1px solid transparent;
  font-size: 2rem;
  font-weight: 500;
  color: #333;
  transition: all 0.4s;
}

.category-btn:hover .category-item img {
  transform: scale(1.12);
}
.category-btn:hover .category-text {
  border-bottom: 1px solid currentColor;
}

.product-container {
  display: grid;
  grid-template-columns: auto 1fr;
}

/* FILTER CONTENT */

.products-filter {
  padding: 3.2rem;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.05);
  align-self: start;
}

.filter-box-container {
  display: flex;
  align-items: center;
  gap: 0.8rem;
  margin-bottom: 3.2rem;
}

.filter-header-container {
  display: flex;
  align-items: center;
  gap: 0.4rem;
  margin-bottom: 4.8rem;
}

.filter-icon {
  font-size: 3rem;
  color: #7a6250;
}

.filter-heading {
  font-size: 2.4rem;
  color: #333;
  font-weight: 600;
}

.filter {
  margin-bottom: 8rem;
}

.filter-box-title {
  font-size: 2rem;
  color: #333;
  font-weight: 500;
  margin-bottom: 2.4rem;
}

.products-filter label {
  font-size: 1.4rem;
  margin-right: 0.4rem;
}

.filter-box {
  width: 6.4rem;
  padding: 0.8rem;
  font-family: inherit;
  font-size: 1.6rem;
  color: #333;
  font-weight: 500;
  border-radius: 6px;
  border: 1px solid #eee;
  outline: none;
  transition: all 0.3s;
}
.filter-box:focus {
  border: 1px solid #7a6250;
}

.products-filter span {
  font-size: 2.4rem;
  color: #aaa;
}

.products-filter .filter-box-span {
  font-size: 1.6rem;
  margin-left: 0.4rem;
}

.filter-box-check {
  display: flex;
  align-items: center;
  gap: 0.8rem;
  margin-bottom: 2.4rem;
}

.filter-box-check label {
  font-size: 1.8em;
  color: #333;
  font-weight: 500;
  text-transform: uppercase;
  cursor: pointer;
}

.filter-text {
  font-size: 1.4rem;
  color: #767676;
}

/* PRODUCT CONTENT*/
.products {
  display: grid;
  column-gap: 3.2rem;
  row-gap: 2.4rem;
  grid-template-columns: repeat(4, 1fr);
  padding: 0 3.2rem;
  position: relative;
}

.product-card {
  display: flex;
  flex-direction: column;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  border: 1px solid #eee;
  border-radius: 9px;
  transition: all 0.4s;
  position: relative;
}

.card-img-box {
  border-top-left-radius: 9px;
  border-top-right-radius: 9px;
  position: relative;
  overflow: hidden;
}

.card-img {
  width: 100%;
  transition: all 0.3s ease-in;
}

.card--2-img {
  position: absolute;
  top: 0;
  left: 0;
}

.card-box {
  padding: 3.2rem 2.4rem;
}

.card-heading {
  font-size: 1.8rem;
  color: #333;
  font-weight: 600;
  line-height: 1.2;
  letter-spacing: 0.5px;
  margin-bottom: 2.4rem;
}

.card-details {
  list-style: none;
  display: flex;
  flex-direction: column;
  font-size: 1.6rem;
  gap: 1.2rem;
  color: #767676;
  margin-bottom: 4.8rem;
}

.card-price-container {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  gap: 2.4rem;
}

.card-full-price,
.card-price {
  color: #333;
  font-weight: 700;
}

.card-full-price {
  text-decoration: line-through;
  font-size: 2rem;
}

.card-price {
  font-size: 3.6rem;
}

.card-price.price-discount {
  color: #c1403e;
}

.card-price span {
  font-weight: 500;
  font-size: 2rem;
}

.product-card:hover {
  transform: translateY(-1.2rem);
  box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.06);
}

.product-card:hover .card-img:not(:last-child) {
  opacity: 0;
}

.product-card:hover .card--2-img.hidden,
.product-card:hover .btn--card.hidden {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.pagination {
  grid-column: 1 / -1;
  justify-self: center;
  margin-top: 4.8rem;
}

.pagination-mobile {
  display: none;
  grid-column: 1 / -1;
  justify-self: center;
  margin-top: 4.8rem;
}

.pagination-mobile-number {
  font-size: 1.8rem;
  padding: 0.8rem 1.6rem;
  border-radius: 6px;
  color: #fff;
  background-color: #8c705b;
}

/* FILTER WDGET*/

.btn.btn-filter-widget--open {
  display: none;
  align-items: center;
  color: #7a6250;
  position: absolute;
  font-size: 3.2rem;
  left: 2.4rem;
  top: 0;
  transform: translateY(-200%);
  z-index: 2;
}

.btn.btn-filter-widget--open:hover {
  color: #8c705b;
}

/***************************************************/
/* HOW TO BUY SECTION */
/***************************************************/

.section-how {
  padding: 9.6rem 0;
  background-color: #f7f4f1;
}

.how-container {
  display: grid;
  grid-template-columns: 60fr 40fr;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}

.how-accordion {
  display: flex;
  flex-direction: column;
  gap: 4.8rem;
}

.accordion-item {
  padding: 2.4rem;
  box-shadow: 0 0 3.2rem rgba(0, 0, 0, 0.06);
  border-top: 8px solid transparent;
  border-radius: 6px;
  display: grid;
  grid-template-columns: auto 1fr auto;
  column-gap: 2.4rem;
  row-gap: 0;
  align-items: center;
  transition: all 0.3s;
}

.accordion-number {
  font-size: 3.6rem;
  font-weight: 600;
  color: #e7ddd5;
  transition: all 0.3s;
}

.accordion-heading {
  font-size: 2.4rem;
  color: #444;
  letter-spacing: 0.5px;
  font-weight: 600;
}

.accordion-icon {
  font-size: 3.6rem;
  cursor: pointer;
  color: #af8c72;
  transition: all 0.1s;
}

.accordion-icon:hover {
  color: #9e7e67;
}

.accordion-text-container {
  grid-column: 2 / 3;
  height: 0;
  overflow: hidden;
  transition: all 0.4s ease-in-out;
}

.accordion-text {
  font-size: 1.8rem;
  line-height: 1.8;
}

.how-img-container {
  border-radius: 6px;
  position: relative;
  overflow: hidden;
  align-self: start;
}

.how-img-container::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(
    to right,
    rgba(247, 244, 241, 0.25),
    rgba(247, 244, 241, 0.25)
  );
}

.how-img {
  width: 100%;
}

.accordion--open {
  border-top: 8px solid #af8c72;
  row-gap: 2.4rem;
}

.accordion--open .accordion-number {
  color: #af8c72;
}
.accordion--open .accordion-icon {
  transform: rotate(180deg);
}

/***************************************************/
/* ABOUT US SECTION */
/***************************************************/

.section-about {
  padding: 9.6rem 0 12.8rem 0;
}

.about-map {
  width: 100%;
  height: 100%;
  border: none;
}

.about-map-list {
  display: flex;
  flex-direction: column;
  list-style: none;
  gap: 1.2rem;
  font-size: 1.6rem;
  color: #767676;
  grid-row: 2 / 3;
}

.about-text {
  font-size: 1.8rem;
  line-height: 1.8;
}

.cta-form {
  width: fit-content;
  padding: 4.8rem 3.2rem 3.2rem 3.2rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 2.4rem;
  row-gap: 3.2rem;
  background: linear-gradient(to right bottom, #af8c72, #8c705b);
  border-radius: 9px;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);
}

.cta-textarea {
  grid-column: 1 / -1;
}

.cta-form label {
  color: #342a22;
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
}

.cta-form input,
.cta-form textarea {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  color: #342a22;
  border: none;
  border-radius: 6px;
  background-color: #f7f4f1;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s;
}

.cta-form textarea {
  min-height: 20rem;
  max-height: 40rem;
  overflow-y: scroll;
  overscroll-behavior: contain;
  white-space: pre-wrap;
  resize: none;
}
.cta-form textarea.scroll-bar::-webkit-scrollbar-track {
  background: #f7f4f1;
}

.cta-form textarea.scroll-bar::-webkit-scrollbar-thumb {
  border: 2px solid #f7f4f1;
}

.cta-form input::placeholder,
.cta-form textarea::placeholder {
  color: #aaa;
}

.cta-form input[type="submit"] {
  grid-column: 2/ -1;
  width: fit-content;
  padding: 1.2rem 4.8rem;
  justify-self: end;
  background-color: #342a22;
  color: #f7f4f1;
}
.cta-form input[type="submit"]:hover {
  background-color: #f7f4f1;
  color: #342a22;
}

.cta-form *:focus {
  outline: none;
  box-shadow: 0 0 0 8px rgba(253, 242, 233, 0.5);
}

/***************************************************/
/* FOOTER SECTION */
/***************************************************/

.footer {
  padding: 12.8rem 0;
  border-top: 1px solid #eee;
}

.grid--footer {
  grid-template-columns: 1.5fr 1.5fr 1fr 1fr 1fr;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}

.copyright {
  margin-top: auto;
  font-size: 1.4rem;
  line-height: 1.6;
  color: #767676;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
}

.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
}

.address {
  color: #767676;
  margin-bottom: 2.4rem;
}

.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.footer-link,
.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #767676;
  transition: all 0.3s;
}
.btn.footer-link {
  font-weight: inherit;
}
.footer-link.btn-mobile-search {
  display: none;
}

.footer-link:hover,
.footer-link:active {
  color: #555;
}

/* Privatumo politika */
/*
.rules-policy {
  max-width: 80rem;
  width: 85%;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -60%);
  z-index: 999;
  background-color: #fff;
  padding: 8rem 2.4rem 2.4rem 2.4rem;
  border-radius: 6px;
  transition: all 0.3s ease-in;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.rules-policy .btn.btn-widget--close {
  display: flex;
}

.policy-text-box {
  max-height: 60rem;
  padding: 2.4rem 3.2rem 2.4rem 4.8rem;
  box-shadow: inset 0 0 0.8rem 0.8rem rgba(0, 0, 0, 0.075);
  overflow-y: scroll;
  overscroll-behavior: contain;
}

.policy-text {
  font-size: 1.6rem;
  line-height: 1.8;
  font-weight: 400;
}

.policy-list {
  font-size: 1.8rem;
  font-weight: 400;
}

.private-rules--open .rules-policy.private-policy--widget,
.private-rules--open:is(body)::after,
.buy-rules--open .rules-policy.buy-rules--widget,
.buy-rules--open:is(body)::after {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.private-rules--open .rules-policy.private-policy--widget,
.buy-rules--open .rules-policy.buy-rules--widget {
  transform: translate(-50%, -50%);
}
*/
